div {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    padding: 20px 0;
    align-items: center;
}

button {
    margin-top: 10px;
    margin-left: 5px;
    margin-right: 20px;
    height: 36px;
    /* background-color: #707070; */
    font-weight: bold;
    color: white;
    border: none;
    border-radius: 5px;
}

app-data {
    margin: 5px;
    flex: auto;
    text-align: center;
}

@media(max-width:600px) {
    div {
        flex-direction: column;
        align-items: center;
    }
    app-data {
        width: 90%;
    }
    button {
        margin-left: 7.5%;
    }
    select{
        width: 100px;
    }
}